MantisBT

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001096XdebugUsage problems (Wrong Results)public2014-12-23 21:382015-02-22 14:30
Reporterdanslo 
Assigned Toderick 
PrioritynormalSeveritytweakReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target VersionFixed in Version2.3.0 
Summary0001096: Breakpoint bottleneck in large codebase
DescriptionAn earlier bugfix, http://bugs.xdebug.org/view.php?id=843, [^] made sure that xdebug_sprintf always works with C locale. To do this, it calls setlocale multiple times.

One of the functions that calls into xdebug_sprintf is handle_breakpoints, which can be called many times when dealing with a large codebase. In the case of Magento 2, when preprocessing LESS files, this eventually caused a single request to call setlocale over 8 million times.
Steps To Reproduce- Install Magento 2.
- Start a debug session.
- Set a breakpoint anywhere.
- Visit some preprocessing URL like pub/static.php?resource=frontend/Magento/blank/en_US/css/styles-m.css
- Prepare to wait almost a minute for the request to finish (compared to 0000019:0000015 seconds without xdebug).
Additional InformationA pullrequest with additional information is here:
https://github.com/xdebug/xdebug/pull/138 [^]
TagsNo tags attached.
Operating System
PHP Version5.6.0-5.6.4
Attached Files

- Relationships

-  Notes
(0002943)
derick (administrator)
2014-12-23 21:59

Thanks very much for the fix!

- Issue History
Date Modified Username Field Change
2014-12-23 21:38 danslo New Issue
2014-12-23 21:59 derick Note Added: 0002943
2014-12-23 21:59 derick Status new => closed
2014-12-23 21:59 derick Assigned To => derick
2014-12-23 21:59 derick Resolution open => fixed
2014-12-23 21:59 derick Fixed in Version => 2.3dev
2015-02-22 14:30 derick Fixed in Version 2.3dev => 2.3.0
2016-07-31 13:36 derick Category Usage problems => Usage problems (Crashes)
2016-07-31 13:38 derick Category Usage problems (Crashes) => Usage problems (Wrong Results)


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker